<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                template="./../plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:define name="contenido">
        <f:metadata>
            <f:viewParam name="idsorteo" id="idsorteo" value="#{participantesSorteoManBean.idsorteo}" />
            <f:viewAction action="#{participantesSorteoManBean.cargarParticipantes()}" />
        </f:metadata>
        <h1>Participantes del sorteo</h1>
        <h4>Total participantes: #{participantesSorteoManBean.lstParticipantes.size()}</h4>
        <h4>Total excluidos: #{participantesSorteoManBean.totalExcluidos}</h4>
        <table class="ui celled table">
            <thead>
                <tr><th>Cod. Suscripción</th>
                    <th>Cliente</th>
                    <th>Servicio</th>
                    <th>Fecha S.</th>
                    <th>Estado</th>
                </tr></thead>
            <tbody>
                <ui:repeat value="${participantesSorteoManBean.lstParticipantes}" var="suscri" varStatus="status">
                    <tr>
                        <td>#{suscri.idsuscripcion}</td>
                        <td>#{suscri.cliente.razonSocial}</td>
                        <td>#{suscri.servicio.nombre}</td>
                        <td>#{participantesSorteoManBean.formatearFecha(suscri.fechaSuscripcion)}</td>
                        <td>#{suscri.estado.nombre}</td>
                    </tr>
                </ui:repeat>
                
            </tbody>
        </table>
    </ui:define>

</ui:composition>
